## gate.util
Class LaxErrorHandler

    java.lang.Object
      |
      +--gate.util.LaxErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

Direct Known Subclasses:
  TemplateLaxErrorHandler

public abstract class LaxErrorHandler
extends Object
implements org.xml.sax.ErrorHandler

Field Summary
`private static boolean` `DEBUG` Debug flag

Constructor Summary
`LaxErrorHandler()` LaxErrorHandler constructor comment.

Method Summary
`abstract void` `error(org.xml.sax.SAXParseException ex)` error method comment.
`abstract void` `fatalError(org.xml.sax.SAXParseException ex)` fatalError method comment.
`abstract void` `warning(org.xml.sax.SAXParseException ex)` warning method comment.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

Constructor Detail

### LaxErrorHandler

    public LaxErrorHandler()

  LaxErrorHandler constructor comment.

Method Detail

### error

    public abstract void error(org.xml.sax.SAXParseException ex)
                        throws org.xml.sax.SAXException

  error method comment.
  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public abstract void fatalError(org.xml.sax.SAXParseException ex)
                             throws org.xml.sax.SAXException

  fatalError method comment.
  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### warning

    public abstract void warning(org.xml.sax.SAXParseException ex)
                          throws org.xml.sax.SAXException

  warning method comment.
  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`